---
search:
  tags:
    - V1
    - DELETE
seo:
  description: >-
    Delete a test suite with all its versions, runs and… Reference for the
    DELETE /v1/projects/{projectId}/test-suites/{testSuiteId} endpoint in the
    Judgeval API.
sidebar:
  label: Delete a test suite with its runs
  badge: DELETE
title: Delete a test suite with its runs
type: openapi-operation
---
Delete a test suite with all its versions, runs and results.

`DELETE /v1/projects/{projectId}/test-suites/{testSuiteId}`

**Responses**

- `200` — Response for status 200
- `404` — Response for status 404
- `409` — Response for status 409
- `422` — Response for status 422

Response example, 200:

```json
{
  "test_suite_id": "string"
}
```
